Page MenuHomePhabricator

[clangd] Improve global code completion when scope specifier is unresolved.
ClosedPublic

Authored by ioeric on Feb 20 2019, 6:41 AM.

Details

Summary

Suppose clangd:: is unresolved in the following example. Currently,
we simply use "clangd::" as the query scope. We can do better by combining with
accessible scopes in the context. The query scopes can be {clangd::, clang::clangd::}.

namespace clang { clangd::^ }

Diff Detail

Repository
rL LLVM

Event Timeline

ioeric created this revision.Feb 20 2019, 6:41 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 20 2019, 6:42 AM

LG

Do we have any metrics regarding change in completion quality?

kadircet accepted this revision.Feb 26 2019, 2:25 AM
This revision is now accepted and ready to land.Feb 26 2019, 2:25 AM
ioeric updated this revision to Diff 188512.Feb 27 2019, 3:36 AM
  • Rebase and minor cleanup
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 27 2019, 3:41 AM